For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Create New Consumer

POST
https://host.com/v2/consumers/
POST
/v2/consumers/
$curl -X POST https://host.com/v2/consumers/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "pcid": "string",
> "email": "string"
>}'
201Created
1{
2 "pcid": "string",
3 "email": "string",
4 "external_id": "string",
5 "first_name": "string",
6 "last_name": "string",
7 "phone_number": "string",
8 "date_of_birth": "2023-01-15",
9 "tax_identifier": "string",
10 "address_line1": "string",
11 "address_line2": "string",
12 "address_city": "string",
13 "address_state": "string",
14 "address_zip": "string"
15}

Create a new Consumer if one does not exist for the given partner and pc_id

Was this page helpful?
Previous

Retrieve Consumer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
pcidstringRequired<=64 characters
emailstringRequiredformat: "email"<=255 characters
external_idstringOptionalformat: "uuid"
first_namestringOptional<=255 characters
last_namestringOptional<=255 characters
phone_numberstringOptional<=255 characters
date_of_birthstringOptionalformat: "date"
tax_identifierstringOptional
address_line1stringOptional<=255 characters
address_line2stringOptional<=255 characters
address_citystringOptional<=255 characters
address_statestringOptional<=255 characters
address_zipstringOptional<=255 characters

Response

pcidstring<=64 characters
emailstringformat: "email"<=255 characters
external_idstringformat: "uuid"
first_namestring<=255 characters
last_namestring<=255 characters
phone_numberstring<=255 characters
date_of_birthstringformat: "date"
tax_identifierstring
address_line1string<=255 characters
address_line2string<=255 characters
address_citystring<=255 characters
address_statestring<=255 characters
address_zipstring<=255 characters